Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-7192

Update the "check_browser_version()" function, to allow AJAX support in Camino

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.7
    • Fix Version/s: 1.7.1, 1.8
    • Component/s: JavaScript
    • Labels:
      None
    • Environment:
      Mac OS X 10.4.8, Camino 1.0.3
    • Affected Branches:
      MOODLE_17_STABLE
    • Fixed Branches:
      MOODLE_17_STABLE, MOODLE_18_STABLE

      Description

      The new AJAX code works in Camino 1.0.3 (though not in the compatibility should be set by YUI), but the check_browser_version used in lib/ajax/ajaxlib.php doen't allow to use it.

      I suggest to adapt the check_browser_version() in lib/moodlelib.php for real check of Camino (if possible), allowing to test for it in lib/ajax/ajaxlib.php.

      See MDL-6383.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              vyshane Vy-Shane Sin Fat
              Reporter:
              mina Nicolas Martignoni
              Tester:
              Nicolas Martignoni
              Participants:
              Component watchers:
              Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Fix Release Date:
                17/Jan/07